typst-query(1)

NAME
typst-query - Processes an input file to extract provided metadata

SYNOPSIS
typst-query [--root] [--input] [--font-path] [--diagnostic-format] [--field] [--one] [--format] [-h|--help] <INPUT> <SELECTOR>

DESCRIPTION
Processes an input file to extract provided metadata

OPTIONS

--root=DIR
    Configures the project root (for absolute paths)
    May also be specified with the TYPST_ROOT environment variable.

--input=key=value
    Add a string key-value pair visible through `sys.inputs`

--font-path=DIR
    Adds additional directories to search for fonts
    May also be specified with the TYPST_FONT_PATHS environment variable.

--diagnostic-format=DIAGNOSTIC_FORMAT [default: human]
    The format to emit diagnostics in
    [possible values: human, short]

--field=FIELD
    Extracts just one field from all retrieved elements

--one
    Expects and retrieves exactly one element

--format=FORMAT [default: json]
    The format to serialize in
    [possible values: json, yaml]

-h, --help
    Print help

<INPUT>
    Path to input Typst file, use `-` to read input from stdin

<SELECTOR>
    Defines which elements to retrieve